/*******************************************************************

   Project.h

   It is just the way how do I my work...
   This is included in every other own headerfile to make globally
   defines,...

*********************************************************************/
// At first the "include" section

// useful for SAS
#include <dos.h>

#include <proto/dos.h>
#include <proto/asl.h>
#include <proto/exec.h>
#include <proto/utility.h>
#include <proto/gadtools.h>
#include <proto/intuition.h>

#include <dos/exall.h>
#include <dos/dostags.h>
#include <exec/memory.h>
#include <exec/execbase.h>

/* catalog file */
#define  CATCOMP_NUMBERS
// since this header is used also later from the subdirs,
// I must make a small trick
#ifdef PARENT
#include "/includes/buildin.strings"
#else
#include "includes/buildin.strings"
#endif

#define  _DOPUS_MODULE_DEF
#include <dopus/modules.h>

/* contains some replacements for string functions - by Dirk Stoecker */
#define  SDI_TO_ANSI
// jippi...
#ifdef PARENT
#include "//sc/include/sdi_std.h"
#else
#include "/sc/include/sdi_std.h"
#endif

/********************************************************************/
// now we do our own stuff

#define MODULE_NAME        "example.module"
#define MODULE_VER_NUMBER  1
#define MODULE_CATALOG     "example.catalog"
#define MODULE_FLAGS       0
#define MODULE_FUNC_COUNT  3

#define VERSION_STRING     MODULE_NAME " 1.1"


// FUNCx_DESCRIPTION is in "includes/buildin.strings" defined
// (will be created by CatComp from "includes/buildin.cd"...)

#define COMMAND_0          "ExampleRequest"
#define FUNC0_ID           0
#define FUNC0_FLAGS        0
#define FUNC0_TEMPLATE     "Just_add_some_signs"

#define COMMAND_1          "ExampleWindow"
#define FUNC1_ID           1
#define FUNC1_FLAGS        0
// this template we use later...
#define FUNC1_TEMPLATE     "AutoClose/N,SmallBorder/K,Quit/S"

#define COMMAND_2          "_HiddenCommand_"
#define FUNC2_ID           2
#define FUNC2_FLAGS        FUNCF_PRIVATE
#define FUNC2_TEMPLATE     0

/********************************************************************/
/* You may declare here some variables, if you need them globally.  */
/* We need them here not and we use for each function it's own file */
/* and header.                                                      */


/********************************************************************/
// make our memorypool (modinit.c) globally accessable

extern APTR mempool;

// and now some prototypes for our functions

extern void ExampleRequest( STRPTR args, struct Screen *screen, IPCData *ipc );
extern void OwnWindow( STRPTR args, struct Screen *screen );
extern void HiddenCommand( STRPTR args, IPCData *ipc, IPCData *main_ipc );


